using System;
using System.Numerics;

namespace ConsoleApp1
{
    class Program
    {
        static void Main(string[] args)
        {
            int n, m;
            var nm = Console.ReadLine().Split();
            n = int.Parse(nm[0]);
            m = int.Parse(nm[1]);
            int i;
            for(i=0; i<n; i++)
            {
                var pq = Console.ReadLine().Split();
            }
            Console.WriteLine(1);
        }
    }
}